import { DynamoDBClient } from "@aws-sdk/client-dynamodb";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
import { DynamoDBClientInstanceConfig } from "./DynamoDBClientInstanceConfig";
/**
 * @since 1.0.0
 * @category tags
 */
export interface DynamoDBClientInstance {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const DynamoDBClientInstance: Context.Tag<DynamoDBClientInstance, DynamoDBClient>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDynamoDBClientInstance: Effect.Effect<DynamoDBClientInstanceConfig, never, DynamoDBClient>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DynamoDBClientInstanceLayer: Layer.Layer<DynamoDBClientInstanceConfig, never, DynamoDBClientInstance>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBClientInstanceLayer: Layer.Layer<never, never, DynamoDBClientInstance>;
