import type { DynamoDBClientConfig } from "@aws-sdk/client-dynamodb";
import * as Context from "effect/Context";
import * as Effect from "effect/Effect";
import * as Layer from "effect/Layer";
/**
 * @since 1.0.0
 * @category tags
 */
export interface DynamoDBClientInstanceConfig {
    readonly _: unique symbol;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const DynamoDBClientInstanceConfig: Context.Tag<DynamoDBClientInstanceConfig, DynamoDBClientConfig>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDefaultDynamoDBClientInstanceConfig: Effect.Effect<never, never, DynamoDBClientConfig>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBClientConfigLayer: Layer.Layer<never, never, DynamoDBClientInstanceConfig>;
