import { BatchExecuteStatementCommandInput, BatchExecuteStatementCommandOutput, BatchGetItemCommandInput, BatchGetItemCommandOutput, BatchWriteItemCommandInput, BatchWriteItemCommandOutput, CreateBackupCommandInput, CreateBackupCommandOutput, CreateGlobalTableCommandInput, CreateGlobalTableCommandOutput, CreateTableCommandInput, CreateTableCommandOutput, DeleteBackupCommandInput, DeleteBackupCommandOutput, DeleteItemCommandInput, DeleteItemCommandOutput, DeleteTableCommandInput, DeleteTableCommandOutput, DescribeBackupCommandInput, DescribeBackupCommandOutput, DescribeContinuousBackupsCommandInput, DescribeContinuousBackupsCommandOutput, DescribeContributorInsightsCommandInput, DescribeContributorInsightsCommandOutput, DescribeEndpointsCommandInput, DescribeEndpointsCommandOutput, DescribeExportCommandInput, DescribeExportCommandOutput, DescribeGlobalTableCommandInput, DescribeGlobalTableCommandOutput, DescribeGlobalTableSettingsCommandInput, DescribeGlobalTableSettingsCommandOutput, DescribeImportCommandInput, DescribeImportCommandOutput, DescribeKinesisStreamingDestinationCommandInput, DescribeKinesisStreamingDestinationCommandOutput, DescribeLimitsCommandInput, DescribeLimitsCommandOutput, DescribeTableCommandInput, DescribeTableCommandOutput, DescribeTableReplicaAutoScalingCommandInput, DescribeTableReplicaAutoScalingCommandOutput, DescribeTimeToLiveCommandInput, DescribeTimeToLiveCommandOutput, DisableKinesisStreamingDestinationCommandInput, DisableKinesisStreamingDestinationCommandOutput, EnableKinesisStreamingDestinationCommandInput, EnableKinesisStreamingDestinationCommandOutput, ExecuteStatementCommandInput, ExecuteStatementCommandOutput, ExecuteTransactionCommandInput, ExecuteTransactionCommandOutput, ExportTableToPointInTimeCommandInput, ExportTableToPointInTimeCommandOutput, GetItemCommandInput, GetItemCommandOutput, ImportTableCommandInput, ImportTableCommandOutput, ListBackupsCommandInput, ListBackupsCommandOutput, ListContributorInsightsCommandInput, ListContributorInsightsCommandOutput, ListExportsCommandInput, ListExportsCommandOutput, ListGlobalTablesCommandInput, ListGlobalTablesCommandOutput, ListImportsCommandInput, ListImportsCommandOutput, ListTablesCommandInput, ListTablesCommandOutput, ListTagsOfResourceCommandInput, ListTagsOfResourceCommandOutput, PutItemCommandInput, PutItemCommandOutput, QueryCommandInput, QueryCommandOutput, RestoreTableFromBackupCommandInput, RestoreTableFromBackupCommandOutput, RestoreTableToPointInTimeCommandInput, RestoreTableToPointInTimeCommandOutput, ScanCommandInput, ScanCommandOutput, TagResourceCommandInput, TagResourceCommandOutput, TransactGetItemsCommandInput, TransactGetItemsCommandOutput, TransactWriteItemsCommandInput, TransactWriteItemsCommandOutput, UntagResourceCommandInput, UntagResourceCommandOutput, UpdateContinuousBackupsCommandInput, UpdateContinuousBackupsCommandOutput, UpdateContributorInsightsCommandInput, UpdateContributorInsightsCommandOutput, UpdateGlobalTableCommandInput, UpdateGlobalTableCommandOutput, UpdateGlobalTableSettingsCommandInput, UpdateGlobalTableSettingsCommandOutput, UpdateItemCommandInput, UpdateItemCommandOutput, UpdateTableCommandInput, UpdateTableCommandOutput, UpdateTableReplicaAutoScalingCommandInput, UpdateTableReplicaAutoScalingCommandOutput, UpdateTimeToLiveCommandInput, UpdateTimeToLiveCommandOutput } from "@aws-sdk/client-dynamodb";
import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { Context, Effect, Layer } from "effect";
import { DynamoDBClientInstance } from "./DynamoDBClientInstance";
import { BackupInUseError, BackupNotFoundError, ConditionalCheckFailedError, ContinuousBackupsUnavailableError, DuplicateItemError, ExportConflictError, ExportNotFoundError, GlobalTableAlreadyExistsError, GlobalTableNotFoundError, IdempotentParameterMismatchError, ImportConflictError, ImportNotFoundError, IndexNotFoundError, InternalServerError, InvalidEndpointError, InvalidExportTimeError, InvalidRestoreTimeError, ItemCollectionSizeLimitExceededError, LimitExceededError, PointInTimeRecoveryUnavailableError, ProvisionedThroughputExceededError, ReplicaAlreadyExistsError, ReplicaNotFoundError, RequestLimitExceededError, ResourceInUseError, ResourceNotFoundError, SdkError, TableAlreadyExistsError, TableInUseError, TableNotFoundError, TransactionCanceledError, TransactionConflictError, TransactionInProgressError } from "./Errors";
/**
 * @since 1.0.0
 * @category models
 */
export interface DynamoDBService {
    readonly _: unique symbol;
    /**
     * @see {@link BatchExecuteStatementCommand}
     */
    batchExecuteStatement(args: BatchExecuteStatementCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | RequestLimitExceededError, BatchExecuteStatementCommandOutput>;
    /**
     * @see {@link BatchGetItemCommand}
     */
    batchGetItem(args: BatchGetItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError, BatchGetItemCommandOutput>;
    /**
     * @see {@link BatchWriteItemCommand}
     */
    batchWriteItem(args: BatchWriteItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ItemCollectionSizeLimitExceededError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError, BatchWriteItemCommandOutput>;
    /**
     * @see {@link CreateBackupCommand}
     */
    createBackup(args: CreateBackupCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | BackupInUseError | ContinuousBackupsUnavailableError | InternalServerError | InvalidEndpointError | LimitExceededError | TableInUseError | TableNotFoundError, CreateBackupCommandOutput>;
    /**
     * @see {@link CreateGlobalTableCommand}
     */
    createGlobalTable(args: CreateGlobalTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GlobalTableAlreadyExistsError | InternalServerError | InvalidEndpointError | LimitExceededError | TableNotFoundError, CreateGlobalTableCommandOutput>;
    /**
     * @see {@link CreateTableCommand}
     */
    createTable(args: CreateTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError, CreateTableCommandOutput>;
    /**
     * @see {@link DeleteBackupCommand}
     */
    deleteBackup(args: DeleteBackupCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | BackupInUseError | BackupNotFoundError | InternalServerError | InvalidEndpointError | LimitExceededError, DeleteBackupCommandOutput>;
    /**
     * @see {@link DeleteItemCommand}
     */
    deleteItem(args: DeleteItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ConditionalCheckFailedError | InternalServerError | InvalidEndpointError | ItemCollectionSizeLimitExceededError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionConflictError, DeleteItemCommandOutput>;
    /**
     * @see {@link DeleteTableCommand}
     */
    deleteTable(args: DeleteTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, DeleteTableCommandOutput>;
    /**
     * @see {@link DescribeBackupCommand}
     */
    describeBackup(args: DescribeBackupCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | BackupNotFoundError | InternalServerError | InvalidEndpointError, DescribeBackupCommandOutput>;
    /**
     * @see {@link DescribeContinuousBackupsCommand}
     */
    describeContinuousBackups(args: DescribeContinuousBackupsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | TableNotFoundError, DescribeContinuousBackupsCommandOutput>;
    /**
     * @see {@link DescribeContributorInsightsCommand}
     */
    describeContributorInsights(args: DescribeContributorInsightsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | ResourceNotFoundError, DescribeContributorInsightsCommandOutput>;
    /**
     * @see {@link DescribeEndpointsCommand}
     */
    describeEndpoints(args: DescribeEndpointsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError, DescribeEndpointsCommandOutput>;
    /**
     * @see {@link DescribeExportCommand}
     */
    describeExport(args: DescribeExportCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ExportNotFoundError | InternalServerError | LimitExceededError, DescribeExportCommandOutput>;
    /**
     * @see {@link DescribeGlobalTableCommand}
     */
    describeGlobalTable(args: DescribeGlobalTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GlobalTableNotFoundError | InternalServerError | InvalidEndpointError, DescribeGlobalTableCommandOutput>;
    /**
     * @see {@link DescribeGlobalTableSettingsCommand}
     */
    describeGlobalTableSettings(args: DescribeGlobalTableSettingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GlobalTableNotFoundError | InternalServerError | InvalidEndpointError, DescribeGlobalTableSettingsCommandOutput>;
    /**
     * @see {@link DescribeImportCommand}
     */
    describeImport(args: DescribeImportCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ImportNotFoundError, DescribeImportCommandOutput>;
    /**
     * @see {@link DescribeKinesisStreamingDestinationCommand}
     */
    describeKinesisStreamingDestination(args: DescribeKinesisStreamingDestinationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ResourceNotFoundError, DescribeKinesisStreamingDestinationCommandOutput>;
    /**
     * @see {@link DescribeLimitsCommand}
     */
    describeLimits(args: DescribeLimitsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError, DescribeLimitsCommandOutput>;
    /**
     * @see {@link DescribeTableCommand}
     */
    describeTable(args: DescribeTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ResourceNotFoundError, DescribeTableCommandOutput>;
    /**
     * @see {@link DescribeTableReplicaAutoScalingCommand}
     */
    describeTableReplicaAutoScaling(args: DescribeTableReplicaAutoScalingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | ResourceNotFoundError, DescribeTableReplicaAutoScalingCommandOutput>;
    /**
     * @see {@link DescribeTimeToLiveCommand}
     */
    describeTimeToLive(args: DescribeTimeToLiveCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ResourceNotFoundError, DescribeTimeToLiveCommandOutput>;
    /**
     * @see {@link DisableKinesisStreamingDestinationCommand}
     */
    disableKinesisStreamingDestination(args: DisableKinesisStreamingDestinationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, DisableKinesisStreamingDestinationCommandOutput>;
    /**
     * @see {@link EnableKinesisStreamingDestinationCommand}
     */
    enableKinesisStreamingDestination(args: EnableKinesisStreamingDestinationCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, EnableKinesisStreamingDestinationCommandOutput>;
    /**
     * @see {@link ExecuteStatementCommand}
     */
    executeStatement(args: ExecuteStatementCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ConditionalCheckFailedError | DuplicateItemError | InternalServerError | ItemCollectionSizeLimitExceededError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionConflictError, ExecuteStatementCommandOutput>;
    /**
     * @see {@link ExecuteTransactionCommand}
     */
    executeTransaction(args: ExecuteTransactionCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | IdempotentParameterMismatchError | InternalServerError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionCanceledError | TransactionInProgressError, ExecuteTransactionCommandOutput>;
    /**
     * @see {@link ExportTableToPointInTimeCommand}
     */
    exportTableToPointInTime(args: ExportTableToPointInTimeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ExportConflictError | InternalServerError | InvalidExportTimeError | LimitExceededError | PointInTimeRecoveryUnavailableError | TableNotFoundError, ExportTableToPointInTimeCommandOutput>;
    /**
     * @see {@link GetItemCommand}
     */
    getItem(args: GetItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError, GetItemCommandOutput>;
    /**
     * @see {@link ImportTableCommand}
     */
    importTable(args: ImportTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ImportConflictError | LimitExceededError | ResourceInUseError, ImportTableCommandOutput>;
    /**
     * @see {@link ListBackupsCommand}
     */
    listBackups(args: ListBackupsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError, ListBackupsCommandOutput>;
    /**
     * @see {@link ListContributorInsightsCommand}
     */
    listContributorInsights(args: ListContributorInsightsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | ResourceNotFoundError, ListContributorInsightsCommandOutput>;
    /**
     * @see {@link ListExportsCommand}
     */
    listExports(args: ListExportsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | LimitExceededError, ListExportsCommandOutput>;
    /**
     * @see {@link ListGlobalTablesCommand}
     */
    listGlobalTables(args: ListGlobalTablesCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError, ListGlobalTablesCommandOutput>;
    /**
     * @see {@link ListImportsCommand}
     */
    listImports(args: ListImportsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | LimitExceededError, ListImportsCommandOutput>;
    /**
     * @see {@link ListTablesCommand}
     */
    listTables(args: ListTablesCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError, ListTablesCommandOutput>;
    /**
     * @see {@link ListTagsOfResourceCommand}
     */
    listTagsOfResource(args: ListTagsOfResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ResourceNotFoundError, ListTagsOfResourceCommandOutput>;
    /**
     * @see {@link PutItemCommand}
     */
    putItem(args: PutItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ConditionalCheckFailedError | InternalServerError | InvalidEndpointError | ItemCollectionSizeLimitExceededError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionConflictError, PutItemCommandOutput>;
    /**
     * @see {@link QueryCommand}
     */
    query(args: QueryCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError, QueryCommandOutput>;
    /**
     * @see {@link RestoreTableFromBackupCommand}
     */
    restoreTableFromBackup(args: RestoreTableFromBackupCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | BackupInUseError | BackupNotFoundError | InternalServerError | InvalidEndpointError | LimitExceededError | TableAlreadyExistsError | TableInUseError, RestoreTableFromBackupCommandOutput>;
    /**
     * @see {@link RestoreTableToPointInTimeCommand}
     */
    restoreTableToPointInTime(args: RestoreTableToPointInTimeCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | InvalidRestoreTimeError | LimitExceededError | PointInTimeRecoveryUnavailableError | TableAlreadyExistsError | TableInUseError | TableNotFoundError, RestoreTableToPointInTimeCommandOutput>;
    /**
     * @see {@link ScanCommand}
     */
    scan(args: ScanCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError, ScanCommandOutput>;
    /**
     * @see {@link TagResourceCommand}
     */
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, TagResourceCommandOutput>;
    /**
     * @see {@link TransactGetItemsCommand}
     */
    transactGetItems(args: TransactGetItemsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionCanceledError, TransactGetItemsCommandOutput>;
    /**
     * @see {@link TransactWriteItemsCommand}
     */
    transactWriteItems(args: TransactWriteItemsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | IdempotentParameterMismatchError | InternalServerError | InvalidEndpointError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionCanceledError | TransactionInProgressError, TransactWriteItemsCommandOutput>;
    /**
     * @see {@link UntagResourceCommand}
     */
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, UntagResourceCommandOutput>;
    /**
     * @see {@link UpdateContinuousBackupsCommand}
     */
    updateContinuousBackups(args: UpdateContinuousBackupsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ContinuousBackupsUnavailableError | InternalServerError | InvalidEndpointError | TableNotFoundError, UpdateContinuousBackupsCommandOutput>;
    /**
     * @see {@link UpdateContributorInsightsCommand}
     */
    updateContributorInsights(args: UpdateContributorInsightsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | ResourceNotFoundError, UpdateContributorInsightsCommandOutput>;
    /**
     * @see {@link UpdateGlobalTableCommand}
     */
    updateGlobalTable(args: UpdateGlobalTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GlobalTableNotFoundError | InternalServerError | InvalidEndpointError | ReplicaAlreadyExistsError | ReplicaNotFoundError | TableNotFoundError, UpdateGlobalTableCommandOutput>;
    /**
     * @see {@link UpdateGlobalTableSettingsCommand}
     */
    updateGlobalTableSettings(args: UpdateGlobalTableSettingsCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | GlobalTableNotFoundError | IndexNotFoundError | InternalServerError | InvalidEndpointError | LimitExceededError | ReplicaNotFoundError | ResourceInUseError, UpdateGlobalTableSettingsCommandOutput>;
    /**
     * @see {@link UpdateItemCommand}
     */
    updateItem(args: UpdateItemCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | ConditionalCheckFailedError | InternalServerError | InvalidEndpointError | ItemCollectionSizeLimitExceededError | ProvisionedThroughputExceededError | RequestLimitExceededError | ResourceNotFoundError | TransactionConflictError, UpdateItemCommandOutput>;
    /**
     * @see {@link UpdateTableCommand}
     */
    updateTable(args: UpdateTableCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, UpdateTableCommandOutput>;
    /**
     * @see {@link UpdateTableReplicaAutoScalingCommand}
     */
    updateTableReplicaAutoScaling(args: UpdateTableReplicaAutoScalingCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, UpdateTableReplicaAutoScalingCommandOutput>;
    /**
     * @see {@link UpdateTimeToLiveCommand}
     */
    updateTimeToLive(args: UpdateTimeToLiveCommandInput, options?: __HttpHandlerOptions): Effect.Effect<never, SdkError | InternalServerError | InvalidEndpointError | LimitExceededError | ResourceInUseError | ResourceNotFoundError, UpdateTimeToLiveCommandOutput>;
}
/**
 * @since 1.0.0
 * @category tags
 */
export declare const DynamoDBService: Context.Tag<DynamoDBService, DynamoDBService>;
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const makeDynamoDBService: Effect.Effect<DynamoDBClientInstance, never, DynamoDBService>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const BaseDynamoDBServiceLayer: Layer.Layer<DynamoDBClientInstance, never, DynamoDBService>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DynamoDBServiceLayer: Layer.Layer<import("./DynamoDBClientInstanceConfig").DynamoDBClientInstanceConfig, never, DynamoDBService>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const DefaultDynamoDBServiceLayer: Layer.Layer<never, never, DynamoDBService>;
/**
 * @deprecated
 */
export declare const BaseDynamoDBServiceEffect: Effect.Effect<DynamoDBClientInstance, never, DynamoDBService>;
/**
 * @deprecated
 */
export declare const DynamoDBServiceEffect: Effect.Effect<import("./DynamoDBClientInstanceConfig").DynamoDBClientInstanceConfig, never, DynamoDBService>;
/**
 * @deprecated
 */
export declare const DefaultDynamoDBServiceEffect: Effect.Effect<never, never, DynamoDBService>;
